- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Classes
MappableGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseGraphComponent>
class lemon::concepts::MappableGraphComponent< BAS >

This class describes the interface of mappable undirected graphs. It extends MappableDigraphComponent with the standard graph map class for edges (`EdgeMap`). This concept is part of the Graph concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for MappableGraphComponent< BAS >:
[legend]

## Classes
class | EdgeMap
| Standard graph map for the edges. More...